org.keycloak.subsystem.extension

## Class CredentialDefinition

- java.lang.Object
- - org.jboss.as.controller.SimpleResourceDefinition
  - - org.keycloak.subsystem.extension.CredentialDefinition

- All Implemented Interfaces:
    org.jboss.as.controller.access.management.ConstrainedResourceDefinition, org.jboss.as.controller.ResourceDefinition

      public class CredentialDefinition
      extends org.jboss.as.controller.SimpleResourceDefinition

  Defines attributes and operations for a credential.
  Author:
    Stan Silvert ssilvert@redhat.com (C) 2013 Red Hat Inc.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `TAG_NAME`
    `protected static org.jboss.as.controller.AttributeDefinition` | `VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CredentialDefinition()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `registerAttributes(org.jboss.as.controller.registry.ManagementResourceRegistration resourceRegistration)`
    `void` | `registerOperations(org.jboss.as.controller.registry.ManagementResourceRegistration resourceRegistration)`

    - ### Methods inherited from class org.jboss.as.controller.SimpleResourceDefinition

      `getAccessConstraints, getDescriptionProvider, getFlagsSet, getPathElement, getResourceDescriptionResolver, registerAddOperation, registerAddOperation, registerChildren, registerRemoveOperation, registerRemoveOperation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TAG_NAME

          public static final String TAG_NAME

      See Also:
        Constant Field Values

    - #### VALUE

          protected static final org.jboss.as.controller.AttributeDefinition VALUE

  - ### Constructor Detail

    - #### CredentialDefinition

          public CredentialDefinition()

  - ### Method Detail

    - #### registerOperations

          public void registerOperations(org.jboss.as.controller.registry.ManagementResourceRegistration resourceRegistration)

      Specified by:
        `registerOperations` in interface `org.jboss.as.controller.ResourceDefinition`
      Overrides:
        `registerOperations` in class `org.jboss.as.controller.SimpleResourceDefinition`

    - #### registerAttributes

          public void registerAttributes(org.jboss.as.controller.registry.ManagementResourceRegistration resourceRegistration)

      Specified by:
        `registerAttributes` in interface `org.jboss.as.controller.ResourceDefinition`
      Overrides:
        `registerAttributes` in class `org.jboss.as.controller.SimpleResourceDefinition`

Copyright © 2014. All Rights Reserved.